Attean::API::Expression(3pm)

NAME
Attean::API::Expression - SPARQL expressions

VERSION
This document describes Attean::API::Expression version 0.026

DESCRIPTION
The Attean::API::Expression role defines a common API for SPARQL expressions consisting of logical, numeric, and function operators, constant terms, and variables. Expressions may be evaluated in the context of a Attean::API::Result object, and either return a Attean::API::Term object or throw a type error exception.

ROLES
This role consumes the Attean::API::DirectedAcyclicGraph role which provide the following methods:

"is_leaf"
"walk( prefix => \&pre_cb, postfix => \&pre_cb )"
"cover( prefix => \&pre_cb, postfix => \&pre_cb )"

and the following attributes:

"children"

ATTRIBUTES
The following attributes exist:

"operator"
    A string indicating the expression operator (e.g. '+' or '||').

REQUIRED METHODS
The following methods are required by the Attean::API::Expression role:

"as_string"
    Returns a string serialization of the expression object.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/attean/issues>.

SEE ALSO

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2014--2019 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.